Wishlists
Get user wishlists
GET
/v1/return_wishlistsReturns wishlists/trip plans for the authenticated user.
Code Examples
curl -H "access-token: {{token}}" \ "https://apistage.projectexpedition.com/v1/return_wishlists"const response = await fetch('https://apistage.projectexpedition.com/v1/return_wishlists', { headers: { 'access-token': 'YOUR_TOKEN' }});
const data = await response.json();<?php$context = stream_context_create([ 'http' => [ 'method' => 'GET', 'header' => "access-token: YOUR_TOKEN" ]]);
$response = file_get_contents('https://apistage.projectexpedition.com/v1/return_wishlists', false, $context);$data = json_decode($response, true);Responses
200 List of wishlists
[ { "name": "Ireland 2025", "status": "Active", "url": "https://www.projectexpedition.com/wishlist/abc123" }, { "name": "Scotland Adventure", "status": "Active", "url": "https://www.projectexpedition.com/wishlist/def456" }]